Name:           perl-Parallel-ForkManager
Version:        0.7.9
Release:        1%{?dist}
Summary:        Simple parallel processing fork manager
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Parallel-ForkManager/
Source0:        http://search.cpan.org/CPAN/authors/id/D/DL/DLUX/Parallel-ForkManager-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is intended for use in operations that can be done in parallel
where the number of processes to be forked off should be limited. Typical
use is a downloader which will be retrieving hundreds/thousands of files.


%prep
%setup -q -n Parallel-ForkManager-%{version}

# Prepare the example scripts for inclusion as documentation, as they are not
# generally useful and have additional dependencies.
sed -i -e '1d' examples/*.pl
chmod 644 examples/*.pl

i=ForkManager.pm
iconv -f iso-8859-1 -t utf-8 < $i > $i. && touch -r $i $i. && mv -f $i. $i


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes TODO examples/
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sun Aug 06 2011 Remi Collet <remi@fedoraproject.org> - 0.7.9-1
- EPEL-6 build

* Mon Jan 24 2011 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.7.9-1
- Update to current upstream version.
- Handle new upstream treatment of the examples.
- Update to modern packaging guidelines.

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.7.5-2
Rebuild for new perl

* Wed Jan 16 2008 Jason Tibbitts <tibbs@math.uh.edu> 0.7.5-1
- Specfile autogenerated by cpanspec 1.74.
- Make the .pl files documentation instead of installing them to avoid
  additional dependencies.  Also remove their shebang lines to quiet rpmlint.
